Curses::UI::Dialog::Basic(3)

NAME
Curses::UI::Dialog::Basic - Create and manipulate basic dialogs

CLASS HIERARCHY
 Curses::UI::Widget
    |
    +----Curses::UI::Container
            |
            +----Curses::UI::Window
            |
            +----Curses::UI::Dialog::Basic

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add('window_id', 'Window');

    # The hard way.
    # -------------
    my $dialog = $win->add(
        'mydialog', 'Dialog::Basic',
    -message   => 'Hello, world!'
    );
    $dialog->focus;
    $win->delete('mydialog');

    # The easy way (see Curses::UI documentation).
    # --------------------------------------------
    my $buttonvalue = $cui->dialog(-message => 'Hello, world!');

    # or even
    $cui->dialog('Hello, world!');

DESCRIPTION
Curses::UI::Dialog::Basic is a basic dialog. This type of dialog has a message on it and one or more buttons. It can be used to show a message to the user of your program ("The thingy has been updated") or to get some kind of confirmation from the user ("Are you sure you want to update the thingy?").

See exampes/demo-Curses::UI::Dialog::Basic in the distribution for a short demo.

OPTIONS

•   -title < TEXT >

    Set the title of the dialog window to TEXT.

•   -message < TEXT >

    This option sets the message to show to TEXT. The text may contain newline (\n) characters.

•   -buttons < ARRAYREF >

•   -selected < INDEX >

•   -buttonalignment < VALUE >

    These options sets the buttons that have to be used. For an explanation of these options, see the Curses::UI::Buttonbox documentation.

METHODS

•   new ( HASH )

•   layout ( )

•   draw ( BOOLEAN )

•   focus ( )

    These are standard methods. See Curses::UI::Container for an explanation of these.

•   get ( )

    This method will call get on the buttons object of the dialog and return its returnvalue. See Curses::UI::Buttonbox for more information on this.

SEE ALSO
Curses::UI, Curses::UI::Container, Curses::UI::Buttonbox

AUTHOR
Copyright (c) 2001-2002 Maurice Makaay. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.